
package com.tmerclub.cloud.api.delivery.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 物流订单项信息DTO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:00
 */
public class DeliveryOrderItemDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long orderItemId;

    @Schema(description = "订单物流包裹id")
    private Long deliveryOrderId;

    @Schema(description = "商品图片")
    private String pic;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "发货改变的数量")
    private Integer changeNum;

    @Schema(description = "供应商商品图片")
    private String supplierPic;

    @Schema(description = "供应商商品名称")
    private String supplierSpuName;

    public String getSupplierPic() {
        return supplierPic;
    }

    public void setSupplierPic(String supplierPic) {
        this.supplierPic = supplierPic;
    }

    public String getSupplierSpuName() {
        return supplierSpuName;
    }

    public void setSupplierSpuName(String supplierSpuName) {
        this.supplierSpuName = supplierSpuName;
    }

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Long getDeliveryOrderId() {
        return deliveryOrderId;
    }

    public void setDeliveryOrderId(Long deliveryOrderId) {
        this.deliveryOrderId = deliveryOrderId;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public Integer getChangeNum() {
        return changeNum;
    }

    public void setChangeNum(Integer changeNum) {
        this.changeNum = changeNum;
    }

    @Override
    public String toString() {
        return "DeliveryOrderItemDTO{" +
                "orderItemId=" + orderItemId +
                ", deliveryOrderId=" + deliveryOrderId +
                ", pic='" + pic + '\'' +
                ", spuName='" + spuName + '\'' +
                ", changeNum=" + changeNum +
                ", supplierPic='" + supplierPic + '\'' +
                ", supplierSpuName='" + supplierSpuName + '\'' +
                '}';
    }
}
